Bug 29123 - Add Dataly Tech to About page
Summary: Add Dataly Tech to About page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Andreas Roussos
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-27 12:44 UTC by Andreas Roussos
Modified: 2021-11-19 15:33 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05


Attachments
Bug 29123: Add Dataly Tech to About page (1.18 KB, patch)
2021-09-27 12:50 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 29128: Remove whitespace in browse shelf link (2.03 KB, text/plain)
2021-10-06 07:38 UTC, Jérémy Breuillard
Details
Bug 29123 : a line was missing then added to the file (2.46 KB, text/plain)
2021-10-06 07:38 UTC, Jérémy Breuillard
Details
Bug 29123: Add Dataly Tech to About page (1.28 KB, patch)
2021-10-07 06:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2021-09-27 12:44:13 UTC
We would like Dataly Tech to be added to the list of contributing companies
and institutions in the About page.

Our understanding is that this is not yet an automated process (see comment
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=25592#c6 in Bug
25592), so I'm going to submit a patch that addresses the proposed change.

A relevant entry in the .mailmap file already exists, which was added among
other entities in commit d102651d1b from Bug 28386.
Comment 1 Andreas Roussos 2021-09-27 12:50:44 UTC
Created attachment 125362 [details] [review]
Bug 29123: Add Dataly Tech to About page

This patch adds Dataly Tech to the list of "Contributing companies
and institutions" in the About page.

Test plan:
1) View the About page, notice how Dataly Tech is missing
2) Apply this patch
3) Reload the About page, this time "Dataly Tech, Greece" is listed
Comment 2 Jérémy Breuillard 2021-10-06 07:38:55 UTC
Created attachment 125758 [details]
Bug 29128: Remove whitespace in browse shelf link

To test:
-Turn on OPACShelfBrowser and make sure you have some itemcallnumbers
-Go to detail page and see the link: (Browse shelf )
-Apply patch and look at the link again, it should be: (Browse shelf)

Signed-off-by: Jeremy <jeremy.breuillard@biblibre.com>
Comment 3 Jérémy Breuillard 2021-10-06 07:38:59 UTC
Created attachment 125759 [details]
Bug 29123 : a line was missing then added to the file

Signed-off-by: jeremy breuillard <jeremy.breuillard@biblibre.com>
Comment 4 Jérémy Breuillard 2021-10-06 08:13:17 UTC
(In reply to Andreas Roussos from comment #1)
> Created attachment 125362 [details] [review] [review]
> Bug 29123: Add Dataly Tech to About page
> 
> This patch adds Dataly Tech to the list of "Contributing companies
> and institutions" in the About page.
> 
> Test plan:
> 1) View the About page, notice how Dataly Tech is missing
> 2) Apply this patch
> 3) Reload the About page, this time "Dataly Tech, Greece" is listed
Comment 5 Marcel de Rooy 2021-10-07 06:45:58 UTC
Created attachment 125859 [details] [review]
Bug 29123: Add Dataly Tech to About page

This patch adds Dataly Tech to the list of "Contributing companies
and institutions" in the About page.

Test plan:
1) View the About page, notice how Dataly Tech is missing
2) Apply this patch
3) Reload the About page, this time "Dataly Tech, Greece" is listed

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2021-10-07 08:25:17 UTC
What's the rule to appear on that page?

I don't think we should add any companies with at least 1 patch integrated.

Andreas, not saying it's the case of Dataly, we know you for a long time :)

But I would like a discussion before pushing it.

We could have a "active companies during the last dev cycle", to list those who contributed to the current version.

I can work on it if we reach a consensus.
Comment 7 Owen Leonard 2021-10-07 11:31:37 UTC
(In reply to Jonathan Druart from comment #6)
> What's the rule to appear on that page?

Not knowing anything about the criteria, I'd assume from looking at the page that we credit individual contributions in the "development team" section and then give credit to those individuals' employers (if any) in the "Contributing companies" section. Perhaps contributing companies have also contributed something besides development? That would be something to establish criteria for.

I think we've had this discussion before, but the "Special thanks to" section is very odd when compared to the others. It's almost like this is the "Here's who really helped when we were just getting started" section. If so we should probably make that clear.
Comment 8 Martin Renvoize 2021-10-07 11:52:37 UTC
The 'Special thanks' has been an annoyance to me for some time.. whilst I think it's nice to highlight some of the early contributors and 'founders' as such.. it also detracts from some of the long term contributors whose mention is much more hidden below.

I'd be tempted to use git again and list companies using that, and order by date of last contribution, recent contributions first.. However, there are contributions beyond code which this won't cover.. for example Bernardo contributes a significant amount of time on translation infrastructure which for a long time didn't touch koha code much at all.. how do we account for those sorts of contributions. We already have the ability to add notes to people, so perhaps the same for companies.
Comment 9 Marcel de Rooy 2021-10-07 11:56:31 UTC
I think we should merge Special thanks, and Additional thanks into the other sections.
The "founding fathers" (with all respect) can also be mentioned as such in the dev team. Same for contributing companies.

This should be another report btw.
Comment 10 Marcel de Rooy 2021-10-07 11:58:21 UTC
(In reply to Martin Renvoize from comment #8)

> I'd be tempted to use git again and list companies using that, and order by
> date of last contribution, recent contributions first.. However, there are
> contributions beyond code which this won't cover.. for example Bernardo
> contributes a significant amount of time on translation infrastructure which
> for a long time didn't touch koha code much at all.. how do we account for
> those sorts of contributions. We already have the ability to add notes to
> people, so perhaps the same for companies.

Dont think we should start sorting like that
Comment 11 George Veranis 2021-10-08 07:48:11 UTC
Hi all, 

If community has some criteria to add our company to about page please tell us and we will achieve it as soon as possible. We would be proud to be on that list for Koha. 

George Veranis
Comment 12 Jonathan Druart 2021-11-05 11:14:57 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 13 Kyle M Hall 2021-11-19 15:33:33 UTC
Pushed to 21.05.x for 21.05.05